Show posts

This section allows you to view all posts made by this member. Note that you can only see posts made in areas you currently have access to.

Topics - Daniel Hofverberg

1
The game Magical Driving from Ipsproarcade (one of the sites you link to from here) doesn't seem to work on SMF Arcade, even though it works on their site.
https://ipsproarcade.com/index.php?/ipsproarcade/playgame/25581-magical-driving/

On my installation, I only get a black screen and the Console reports the following JavaScript errors:

Quotelgapi.min.js:20 Uncaught SyntaxError: Invalid or unexpected token
magical_driving.js?1525801996639:1 Uncaught ReferenceError: gamevars is not defined
    at _0xf834x4.<computed>.<computed> [as frame_1] (magical_driving.js?1525801996639:1)
    at a.b._runActions (createjs-2015.11.26.min.js??kversion=1.0.0:17)
    at a.b.setPosition (createjs-2015.11.26.min.js??kversion=1.0.0:17)
    at a.b.setPosition (createjs-2015.11.26.min.js??kversion=1.0.0:17)
    at _0xf834x4.<computed>.c._updateTimeline (createjs-2015.11.26.min.js??kversion=1.0.0:14)
    at _0xf834x4.<computed>.c.advance (createjs-2015.11.26.min.js??kversion=1.0.0:14)
    at _0xf834x4.<computed>.c._tick (createjs-2015.11.26.min.js??kversion=1.0.0:14)
    at _0xf834x4.<computed>.b._tick (createjs-2015.11.26.min.js??kversion=1.0.0:13)
    at _0xf834x4.<computed>.b.tick (createjs-2015.11.26.min.js??kversion=1.0.0:13)
    at _0xf834x4.<computed>.b.update (createjs-2015.11.26.min.js??kversion=1.0.0:13)

Am I doing something wrong, is the game broken or is this particular game not compatible with SMF Arcade?
2
SMF Arcade seems excellent, but unfortunately I can't manage to install it. The test in the Package Manager shows no warnings or errors, but when I click on Install Modification I keep getting the following error:

QuoteSpecified key was too long; max key length is 1000 bytes
File: /var/www/html/forum/Packages/temp/arcadeinstall/Subs-Install.php
Line: 34

I first thought it had something to do with switching from e-Arcade, but I have now deleted all old tables from e-Arcade and still gets the same error. So no matter what I do, I can't get past that error message, and nothing gets installed

When I look at the database after getting that error, only smf_arcade_pdl1 and smf_arcade_pdl2 has been created and no other tables.

Any idea why that is, or how to resolve the issue? I'm running PHP 7.4.11 and MySQL 8.0.22 under Ubuntu 20.04.